#!/bin/bash
################################################################################
#
# prep_gtk2_modules.sh - Postinstall commands for GTK+ 2.x modules
#
# Part of cygport - Cygwin packaging application
# Copyright (C) 2006, 2009 Yaakov Selkowitz
# Provided by the Cygwin Ports project <http://sourceware.org/cygwinports/>
#
# cygport is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# cygport is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with cygport.  If not, see <http://www.gnu.org/licenses/>.
#
# $Id: prep_gtk2_modules.sh 6043 2009-03-17 06:34:24Z yselkowitz $
#
################################################################################
set -e

export PKG_CONFIG_PATH="${B}:${PKG_CONFIG_PATH}"
GTK_API=$(pkg-config --variable=gtk_binary_version gtk+-x11-2.0)

# Gdk-Pixbuf loaders
if [ -d ${D}/usr/lib/gtk-2.0/${GTK_API}/loaders ]
then
	dodir /etc/postinstall
	cat >> ${D}/etc/postinstall/${PN}.sh <<-_EOF
		if [ -x /usr/bin/gdk-pixbuf-query-loaders.exe ]
		then
		    /usr/bin/mkdir -p /etc/gtk-2.0
		    /usr/bin/chmod 777 /etc/gtk-2.0
		    /usr/bin/gdk-pixbuf-query-loaders > /etc/gtk-2.0/gdk-pixbuf.loaders
		fi

		_EOF
fi

# GTK Immodules
if [ -d ${D}/usr/lib/gtk-2.0/${GTK_API}/immodules ]
then
	dodir /etc/postinstall
	cat >> ${D}/etc/postinstall/${PN}.sh <<-_EOF
		if [ -x /usr/bin/gtk-query-immodules-2.0.exe ]
		then
		    /usr/bin/mkdir -p /etc/gtk-2.0
		    /usr/bin/chmod 777 /etc/gtk-2.0
		    /usr/bin/gtk-query-immodules-2.0 > /etc/gtk-2.0/gtk.immodules
		fi

		_EOF
fi
